<template>
        
    <v-card outlined thin  width="100%">
        <router-link :to="{ name: 'Book', params:{id:bookid} }">
            <v-img
            :src="coverimage"
            
            height="200"
            contain
            class="grey"
            
            >
                <template v-slot:placeholder >
                    <v-row
                        class="fill-height ma-0"
                        align="center"
                        justify="center"
                       
                    >
                        <v-progress-circular
                        indeterminate
                        color="grey lighten-5"
                        v-if="coverimage"></v-progress-circular>
                        <span v-else>NO IMAGE</span>
                    </v-row>
                </template>
            
            </v-img>
           
        </router-link>
        <favorite-btn :bookid="bookid" :booktitle="title" :bookcoverimage="coverimage"></favorite-btn>
            <v-card-title  class="title pa-0">
                <router-link :to="{ name: 'Book', params:{id:bookid} }">
                    <h5>{{title}}</h5>
                </router-link>
                
            </v-card-title>
            
            <v-card-title class="bookprice pa-2">
                <span v-if="listbookprice.listPrice">{{listbookprice.listPrice.amount}} {{listbookprice.listPrice.currencyCode}}</span>
                <span v-else>FREE</span>
            </v-card-title>
         
            <v-card-actions class="pa-0 ">  
                    <v-btn color="primary" width="100%" :href="buylink" class="">buy now</v-btn>
            </v-card-actions>
        <!-- </div> -->
    </v-card>
</template>

<script>
import FavoriteBtn from '@/components/FavoriteBtn.vue'
import { mapGetters } from 'vuex';
export default {
    components:{
        FavoriteBtn
    },
    computed:{
        ...mapGetters([
            
        ])
    },
    props:{
        title:{type:String},
        coverimage: {type:String},
        listbookprice:{type:Object},
        buylink:{type:String},
        bookid:{type:String}
    }
}
</script>

<style>
.title h5{
    height: 70px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-align: left;
    word-break: break-word;
    margin-bottom: 20px;
    font-family: Avenir, Helvetica, Arial, sans-serif !important;
    color: #000;
    
}
.v-application a{
    text-decoration: none !important;
}
/* .v-application a:hover{
    color: rgb(177, 169, 169) !important;
} */
.v-btn--fab.v-size--small.v-btn--absolute.v-btn--top{
    top: 0 !important;
    right: 0;
}
.buy-btn{
    bottom: 0;
    position: absolute;
    width: 100%;
}
.v-card__title.bookprice{
    font-size: 15px;
    flex-direction: column;
}
.saleinfo{
    /* position: absolute;
    bottom: 0;
    width: 100%; */
}
</style>